Package org.bukkit.event.block

# Class FluidLevelChangeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.FluidLevelChangeEvent

All Implemented Interfaces:
  `Cancellable`

public class FluidLevelChangeEvent extends BlockEvent implements Cancellable
Called when the fluid level of a block changes due to changes in adjacent blocks.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`FluidLevelChangeEvent(@NotNull Block theBlock, @NotNull BlockData newData)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull BlockData`
`getNewData()`
Gets the new data of the changed block.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancelled)`
Sets the cancellation state of this event.
`void`
`setNewData(@NotNull BlockData newData)`
Sets the new data of the changed block.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FluidLevelChangeEvent

public FluidLevelChangeEvent(@NotNull @NotNull Block theBlock, @NotNull @NotNull BlockData newData)

## Method Details

### getNewData

@NotNull public @NotNull BlockData getNewData()
Gets the new data of the changed block.

Returns:
  new data

### setNewData

public void setNewData(@NotNull @NotNull BlockData newData)
Sets the new data of the changed block. Must be of the same Material as the old one.

Parameters:
  `newData` - the new data

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancelled)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancelled` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()